Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 265 - FTP client can't connect on ports numbers > 32767, reports error
Summary: FTP client can't connect on ports numbers > 32767, reports error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ftp
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-02 19:57 UTC by ah313
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-15 23:18:02 UTC


Attachments (Terms of Use)

Description ah313 1998-12-02 19:57:00 UTC
When trying to connect to a FTP site that runs on a port
greater than 32767, the ftp client reports it's a bad
port.  This is not true because a port can be a 16 bit
integer, but for some reason the FTP client thinks it
is 15 bit!!!

Comment 1 Jeff Johnson 1998-12-04 20:26:59 UTC
The port entered from the command line of the ftp client
is inconsistently copied from int to short to u_short ...

Comment 2 Cristian Gafton 1998-12-15 23:18:59 UTC
Fixed in the ftp-0.10-4 and later, which will be available from
rawhide.


Note You need to log in before you can comment on or make changes to this bug.